#pragma once

#include "Variablen.h"
#include <Bild.h>


using namespace Framework;


class GameObject : public Variable
{
protected:
    float x, y, w, h;
    Bild *zTextur;
    bool texturScale;

public:
    GameObject( VariableTyp typ, int x, int y, int width, int height );
    void setX( float x );
    void setY( float y );
    void setWidth( float width );
    void setHeight( float height );
    bool intersectsWith( GameObject *zObj );
    virtual void render( Bild &rObj );
    float getX() const;
    float getY() const;
    float getWidth() const;
    float getHeight() const;
    float abstandZu( GameObject *zObj );
};