#include "TempoRune.h"
#include "Spieler.h"


TempoRuneEffect::TempoRuneEffect( Spieler *zSpieler )
    : Effect( zSpieler, 75.f + ( 75.f / 100.f ) * zSpieler->getAbklingZeitVerringerung() )
{
    zSpieler->setLaufTempo( zSpieler->getLaufTempo() + 7 );
    zSpieler->setGeschossTempo( zSpieler->getGeschossTempo() + 3 );
}

TempoRuneEffect::~TempoRuneEffect()
{
    zSpieler->setLaufTempo( zSpieler->getLaufTempo() - 7 );
    zSpieler->setGeschossTempo( zSpieler->getGeschossTempo() - 3 );
}